%define		pkgname	recaptcha
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	reCAPTCHA is a free service to protect your website from spam and abuse
Name:		php-%{pkgname}
Version:	1.1.2
Release:	1
Epoch:		1
# google/recaptcha: BSD
# recaptcha-php: MIT
License:	BSD, MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/google/recaptcha/archive/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	4528aeab04f7a22df4c1ec208b181b18
Source1:	http://recaptcha.googlecode.com/files/recaptcha-php-1.11.zip
# Source1-md5:	06dbb91aeb1869b3051d1b87dea0b891
Patch0:		autoload.patch
URL:		http://www.google.com/recaptcha/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.520
BuildRequires:	unzip
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Suggests:	php(mcrypt)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Exclude optional PHP extension dependencies
%define		_noautoreq	php-mcrypt

%description
reCAPTCHA is a free CAPTCHA service that protect websites from spam
and abuse. This is Google authored code that provides plugins for
third-party integration with reCAPTCHA.

%prep
%setup -q -n recaptcha-%{version} -a1

mv src/{,ReCaptcha/}autoload.php
%patch0 -p1

mv recaptcha-php-* recaptcha-php
mv recaptcha-php/LICENSE{,.recaptcha-php}
mv recaptcha-php/README{,.recaptcha-php}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_data_dir},%{_examplesdir}/%{name}-%{version}/recaptcha-php}

cp -a src/* $RPM_BUILD_ROOT%{php_data_dir}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# old package
cd recaptcha-php
cp -a recaptchalib.php $RPM_BUILD_ROOT%{php_data_dir}
cp -a example-*.php $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/recaptcha-php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CONTRIBUTING.md LICENSE composer.json
%{php_data_dir}/ReCaptcha
%{_examplesdir}/%{name}-%{version}

# old package contents
%doc recaptcha-php/{LICENSE,README}.*
%{php_data_dir}/recaptchalib.php
%changelog
* Thu Sep 15 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-recaptcha.git;a=log;h=master

* Thu Sep 15 2016 Elan Ruusamäe <glen@delfi.ee> db2a77e
- v1.1.2; switch to google/recaptcha library

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 2177a88
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> bdba82c
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 92364f1
- up to 1.11

* Sun May 16 2010 sparky <sparky@pld-linux.org> 0be87a1
- BR: unzip

* Wed Jan 13 2010 Elan Ruusamäe <glen@pld-linux.org> c3c7aac
- new

